[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.GetResolution

Gets the value for the indexed Resolution property.

## Declaration

Source position: imglist.pp line 310

`protected function TCustomImageList.GetResolution(`
`AImageWidth: Integer`
`):TCustomImageListResolution;`

## Arguments

`AImageWidth` |  | Image width for the requested resolution.

## Function result

Value for the Resolution property.

## Description

GetResolution is a TCustomImageListResolution function used to get the image resolution which uses the image width specified in AImageWidth. When AImageWidth contains 0 (zero) or a negative value, the value in the Width property is used in the argument.

GetResolution uses the internal TCustomImageListResolutions member in the class to access its ImageLists property. If an image list using the request image width does not exist, it is created and populated by copying the images from the best candidate resolution.

GetResolution is used as the read access specifier for the indexed Resolution property.

## See also

TCustomImageList.Width |  | Width of images in the default resolution for the image list.
TCustomImageList.Resolution |  | Provides indexed access to an image resolution with the specified image width.
TCustomImageList.Resolutions |  | Provides access to the image resolutions (or sizes) used in the image lists.
TCustomImageListResolution |  | Implements an image resolution (or size) used in TCustomImageList.